package com.ruoyi.programManagement.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.programManagement.entity.BStandardization;
import com.ruoyi.programManagement.service.IBStandardizationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 标准化Controller
 *
 * @author ruoyi
 * @since 2023-12-18
 */
@Api(tags = "标准化")
@RestController
@RequestMapping("/programManagement/standardization")
public class BStandardizationController extends BaseController {
    @Resource
    private IBStandardizationService bStandardizationService;

    /**
     * 查询标准化列表
     */
    @ApiOperation(value = "查询标准化列表", response = BStandardization.class)
    @GetMapping("/list")
    public TableDataInfo list(BStandardization bStandardization) {
        startPage();
        List<BStandardization> list = bStandardizationService.selectBStandardizationList(bStandardization);
        return getDataTable(list);
    }

    /**
     * 导出标准化列表
     */
    @ApiOperation(value = "导出标准化列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BStandardization bStandardization) {
        List<BStandardization> list = bStandardizationService.selectBStandardizationList(bStandardization);
        ExcelUtil<BStandardization> util = new ExcelUtil<BStandardization>(BStandardization.class);
        util.exportExcel(response, list, "标准化数据");
    }

    /**
     * 获取标准化详细信息
     */
    @ApiOperation(value = " 获取标准化详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bStandardizationService.selectBStandardizationById(id));
    }

    /**
     * 新增标准化
     */
    @ApiOperation(value = " 新增标准化")
    @PostMapping
    public AjaxResult add(@RequestBody BStandardization bStandardization) {
        return toAjax(bStandardizationService.insertBStandardization(bStandardization));
    }

    /**
     * 修改标准化
     */
    @ApiOperation(value = " 修改标准化")
    @PutMapping
    public AjaxResult edit(@RequestBody BStandardization bStandardization) {
        return toAjax(bStandardizationService.updateBStandardization(bStandardization));
    }

    /**
     * 删除标准化
     */
    @ApiOperation(value = " 删除标准化")
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bStandardizationService.deleteBStandardizationByIds(ids));
    }
}
