package com.ruoyi.programManagement.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.programManagement.entity.SzEnforExamine;
import com.ruoyi.programManagement.service.ISzEnforExamineService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 现场检查记录Controller
 *
 * @author ruoyi
 * @date 2023-09-26
 */
@Api(tags = "现场检查记录")
@RestController
@RequestMapping("/pharmaceuticals/examine")
public class SzEnforExamineController extends BaseController {
    @Autowired
    private ISzEnforExamineService szEnforExamineService;

    /**
     * 查询现场检查记录列表
     */
    @ApiOperation("查询现场检查记录列表")
    @GetMapping("/list")
    public TableDataInfo list(SzEnforExamine szEnforExamine) {
        startPage();
        List<SzEnforExamine> list = szEnforExamineService.selectSzEnforExamineList(szEnforExamine);
        return getDataTable(list);
    }

    /**
     * 导出现场检查记录列表
     */
    @ApiOperation("导出现场检查记录列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, SzEnforExamine szEnforExamine) {
        List<SzEnforExamine> list = szEnforExamineService.selectSzEnforExamineList(szEnforExamine);
        ExcelUtil<SzEnforExamine> util = new ExcelUtil<SzEnforExamine>(SzEnforExamine.class);
        util.exportExcel(response, list, "现场检查记录数据");
    }

    /**
     * 获取现场检查记录详细信息
     */
    @ApiOperation("获取现场检查记录详细信息")
    @GetMapping(value = "/{ID}")
    public AjaxResult getInfo(@PathVariable("ID") String ID) {
        return success(szEnforExamineService.selectSzEnforExamineByID(ID));
    }

    /**
     * 新增现场检查记录
     */
    @ApiOperation("新增现场检查记录")
    @PostMapping
    public AjaxResult add(@RequestBody SzEnforExamine szEnforExamine) {
        return toAjax(szEnforExamineService.insertSzEnforExamine(szEnforExamine));
    }

    /**
     * 修改现场检查记录
     */
    @ApiOperation("修改现场检查记录")
    @PutMapping
    public AjaxResult edit(@RequestBody SzEnforExamine szEnforExamine) {
        return toAjax(szEnforExamineService.updateSzEnforExamine(szEnforExamine));
    }

    /**
     * 删除现场检查记录
     */

    @ApiOperation("删除现场检查记录")
    @DeleteMapping("/{IDs}")
    public AjaxResult remove(@PathVariable String[] IDs) {
        return toAjax(szEnforExamineService.deleteSzEnforExamineByIDs(IDs));
    }
}
