package com.ruoyi.programManagement.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 现场检查记录对象 sz_enfor_examine
 * 
 * @author ruoyi
 * @date 2023-09-26
 */
@Data
@ApiModel("现场检查记录对象")
public class SzEnforExamine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date dmsTimestamp;

    /** ID */
    @ApiModelProperty(value = "ID")
    private String ID;

    /** 检查方案id */
    @Excel(name = "检查方案id")
    @ApiModelProperty(value = "检查方案id")
    private String planExamineId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String entprName;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    @ApiModelProperty(value = "统一社会信用代码")
    private String uscCode;

    /** 检查场所 */
    @Excel(name = "检查场所")
    @ApiModelProperty(value = "检查场所")
    private String examineSite;

    /** 检查来源 */
    @Excel(name = "检查来源")
    @ApiModelProperty(value = "检查来源")
    private String examineSource;

    /** 检查开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "检查开始时间")
    @Excel(name = "检查开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examineStartTime;

    /** 检查结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "检查结束时间")
    private Date examineEndTime;

    /** 检查人员id */
    @ApiModelProperty(value = "检查人员id")
    @Excel(name = "检查人员id")
    private String executorId;

    /** 检查情况 */
    @Excel(name = "检查情况")
    @ApiModelProperty(value = "检查情况")
    private String examineSituation;

    /** 文书文号 */
    @Excel(name = "文书文号")
    @ApiModelProperty(value = "文书文号")
    private String writNo;

    /** 文书类型 */
    @Excel(name = "文书类型")
    @ApiModelProperty(value = "文书类型")
    private String typeCode;

    /** 现场证据附件 */
    @Excel(name = "现场证据附件")
    @ApiModelProperty(value = "现场证据附件")
    private String EVIDENCE;

    /** 执法部门 */
    @Excel(name = "执法部门")
    @ApiModelProperty(value = "执法部门")
    private String executorDept;

    /** 执法部门代码 */
    @ApiModelProperty(value = "执法部门代码")
    @Excel(name = "执法部门代码")
    private String executorDeptCode;

    /** 检查方式 */
    @Excel(name = "检查方式")
    @ApiModelProperty(value = "检查方式")
    private String examineType;

    /** 是否是三年专项 */
    @ApiModelProperty(value = "是否是三年专项")
    @Excel(name = "是否是三年专项")
    private String threeSpecialType;

    /** 钢铁三年专项时，企业设施的版本号 */
    @ApiModelProperty(value = "钢铁三年专项时，企业设施的版本号")
    @Excel(name = "钢铁三年专项时，企业设施的版本号")
    private String enterpriseUnitVersion;

    /** 创建人 */
    @ApiModelProperty(value = "创建人")
    @Excel(name = "创建人")
    private String CREATER;

    /** 更新人 */
    @ApiModelProperty(value = "更新人")
    @Excel(name = "更新人")
    private String UPDATER;

    /** 数据来源 */
    @ApiModelProperty(value = "数据来源")
    @Excel(name = "数据来源")
    private String sourceData;

    /** 是否专家参与 */
    @ApiModelProperty(value = "是否专家参与")
    @Excel(name = "是否专家参与")
    private Long expertsInFlag;

    /** 专家姓名 */
    @ApiModelProperty(value = "专家姓名")
    @Excel(name = "专家姓名")
    private String expertsName;

    /**
     * 创建时间
     */
    @Excel(name = "年份", dateFormat = "yyyy/MM/dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date CREATETIME;



    /**
     * 修改时间
     */
    @Excel(name = "年份", dateFormat = "yyyy/MM/dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date UPDATETIME;

}
