package com.ruoyi.programManagement.mapper;

import com.ruoyi.programManagement.entity.BAdministrative;
import com.ruoyi.programManagement.entity.request.BAdministrativeTreeRequest;
import com.ruoyi.programManagement.entity.response.BPlanEnterPriseTreeResponse;
import com.ruoyi.programManagement.entity.request.BPlanEnterprisePageRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 行政区划Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-11
 */
public interface BAdministrativeMapper {
    /**
     * 查询行政区划
     *
     * @param id 行政区划主键
     * @return 行政区划
     */
    public BAdministrative selectBAdministrativeById(Long id);

    /**
     * 查询行政区划列表
     *
     * @param bAdministrative 行政区划
     * @return 行政区划集合
     */
    public List<BAdministrative> selectBAdministrativeList(BAdministrative bAdministrative);

    /**
     * 新增行政区划
     *
     * @param bAdministrative 行政区划
     * @return 结果
     */
    public int insertBAdministrative(BAdministrative bAdministrative);

    /**
     * 修改行政区划
     *
     * @param bAdministrative 行政区划
     * @return 结果
     */
    public int updateBAdministrative(BAdministrative bAdministrative);

    /**
     * 删除行政区划
     *
     * @param id 行政区划主键
     * @return 结果
     */
    public int deleteBAdministrativeById(Long id);

    /**
     * 批量删除行政区划
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBAdministrativeByIds(Long[] ids);


    /**
     * 行政获取县区
     *
     * @return
     */
    List<BAdministrativeTreeRequest> selectBAdministrativeTreeRequestList();


    /**
     * 行政获取乡镇
     *
     * @return
     */
    List<BAdministrativeTreeRequest> selectcascadingSelectDataList();


    List<BPlanEnterPriseTreeResponse> selectBPlanEnterPriseTreeRequestRequestList(@Param("req") BPlanEnterprisePageRequest req);


}
