package com.ruoyi.programManagement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.programManagement.entity.BEnterpriseNew;
import com.ruoyi.programManagement.entity.request.BEnterpriseNewRequest;
import com.ruoyi.programManagement.entity.response.BEnterpriseNewReponse;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 企业新表Mapper接口
 *
 * @author ruoyi
 * @since 2023-12-12
 */
@Mapper
public interface BEnterpriseNewMapper extends BaseMapper<BEnterpriseNew> {
    /**
     * 查询企业新表
     *
     * @param id 企业新表主键
     * @return 企业新表
     */
    public BEnterpriseNew selectBEnterpriseNewById(Long id);

    /**
     * 查询企业新表列表
     *
     * @param bEnterpriseNew 企业新表
     * @return 企业新表集合
     */
    List<BEnterpriseNewReponse> selectBEnterpriseNewList(BEnterpriseNewRequest bEnterpriseNew);

    /**
     * 新增企业新表
     *
     * @param bEnterpriseNew 企业新表
     * @return 结果
     */
    int insertBEnterpriseNew(BEnterpriseNew bEnterpriseNew);

    /**
     * 修改企业新表
     *
     * @param bEnterpriseNew 企业新表
     * @return 结果
     */
    int updateBEnterpriseNew(BEnterpriseNew bEnterpriseNew);

    /**
     * 删除企业新表
     *
     * @param id 企业新表主键
     * @return 结果
     */
    int deleteBEnterpriseNewById(Long id);

    /**
     * 批量删除企业新表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBEnterpriseNewByIds(Long[] ids);


    /**
     * 定时任务删除企业新表数据
     */
    int deletAll();

    /**
     * 定时任务三表关联查询数据
     * @return
     */
    List<BEnterpriseNew> seletAll();


    /**
     * 企业新表企业不存在计划表list
     *
     * @return list
     */
    List<BEnterpriseNewReponse> getList(BEnterpriseNewRequest bEnterpriseNew);

}
