package com.ruoyi.programManagement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.programManagement.entity.BKeyEnterprise;
import com.ruoyi.programManagement.entity.request.BKeyEnterprisePageRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 省重点企业表(BKeyEnterprise)表数据库访问层
 *
 * @author wu
 * @since 2023-09-07 09:43:06
 */
public interface BKeyEnterpriseMapper extends BaseMapper<BKeyEnterprise> {


    /**
     * 导入重点企业
     *
     * @param bKeyEnterprise 重点企业
     * @return 结果
     */
    public int bKeyEnterpriseAdd(BKeyEnterprise bKeyEnterprise );


    /**
     * 分页条件查询所有数据
     *
     * @param
     * @param req  查询条件
     * @return 所有数据
     */
    public List<BKeyEnterprise> page(@Param("req") BKeyEnterprisePageRequest req);


    /**
     * @param entCode 企业代码
     * @return
     */

    BKeyEnterprise getByentCode(@Param("entCode") String entCode);


    /**
     * 根据企业代码和年份查询数据
     * @param req
     * @return
     */
    List<BKeyEnterprise> select(@Param("req") BKeyEnterprise req);
//    /**
//     * 根据行政区划代码查询重点企业数量
//     *
//     * @param district 行政区划代码
//     * @return 结果集合
//     */
//
//    Integer getBydistrict(String district);
}


