package com.ruoyi.programManagement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.programManagement.entity.BPlanEnterprise;
import com.ruoyi.programManagement.entity.request.*;
import com.ruoyi.programManagement.entity.response.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 计划企业表(BPlanEnterprise)表数据库访问层
 *
 * @author wu
 * @since 2023-09-07 09:43:06
 */
public interface BPlanEnterpriseMapper extends BaseMapper<BPlanEnterprise> {


    /**
     * 根据planId删除计划企业
     *
     * @param planId 计划id
     */
    void deleteByPlanId(@Param("planId") Long planId);

    /**
     * 执法
     * @param req
     * @return
     */
    List<BPlanEnterpriseZhifaResponse> getZhifa(@Param("req") checkResultRequest req);


    /**
     * 查询所有数据
     *
     * @return
     */
    List<BPlanEnterprise> page(@Param("req") BPlanEnterprisePageRequest req);


    /**
     * 执法计划工作情况统计
     *
     * @return
     */
    List<zhifaCountResponse> getzhifacount(@Param("req") zhifaRequest req);


    /**
     * 各区域执法计划
     *
     * @return
     */
    List<zhifaPlanResponse> getplan();


    /**
     * 查看计划明细
     *
     * @return
     * @Parm req 请求类
     */
    List<PlanMxResponse> getPlanMx(@Param("req") PlanMxRequest req);


    /**
     * 查询计划企业列表
     *
     * @param bPlanEnterprise 计划企业
     * @return 计划企业集合
     */
    public List<BPlanEnterpriseResponse> selectBPlanEnterpriseList(BPlanEnterprise bPlanEnterprise);


    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    BPlanEnterprise selectById(String id);


    /**
     * 查询首页数据
     * @param req
     * @return
     */
    List<BPlanEnterPriseTreeResponse> getShouyeList(@Param("req")BPlanEnterprisePageRequest req);


    /**
     * 查询首页明细数据
     * @param req
     * @return
     */
    List<BPlanEnterPriseTreeResponse>getShouYeMxList(@Param("req") BPlanEnterprisePageRequest req);



    /**
     * 批量更新状态
     * @param idList
     */
    void updateIdList(List<String>  idList);


    /**
     * 新增
     * @param bPlanEnterprise
     */
    void insertPlan(BPlanEnterpriseRequest bPlanEnterprise);


    /**
     * 新增
     * @param bPlanEnterprise
     */
    void updatePlan(BPlanEnterpriseRequest bPlanEnterprise);


    /**
     * 定时任务修改更新计划表的检查状态、检查id、检查时效字段
     * @return
     */
    List<BPlanEnterprise> selectUpdateAll();

}

