package com.ruoyi.programManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.programManagement.entity.GeoLayer;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Jason
 * @since 2021-06-20
 */
public interface GeoLayerMapper extends BaseMapper<GeoLayer> {


    @Select("SELECT t.id,t.origin_id,t.origin_table,t.name,t.address,t.type1,t.type2,t.type3,t.county,t.town,t.lng,t.lat,ST_AsGeoJson( t.shape) as shape_str FROM ent_geo_layer t  ${ew.customSqlSegment} ")
    List<GeoLayer> getGeoLayerById( @Param(Constants.WRAPPER) Wrapper wrapper);

    @Select("SELECT t.id,t.origin_id,t.origin_table,t.name,t.address,t.type1,t.type2,t.type3,t.county,t.town,t.lng,t.lat,ST_AsGeoJson( t.shape) as shape_str FROM ent_geo_layer t  ${ew.customSqlSegment} ")
    List<GeoLayer> getGeoLayerByCondition( @Param(Constants.WRAPPER) Wrapper wrapper);

    @Select("SELECT t.id,t.origin_id,t.origin_table,t.name,t.address,t.type1,t.type2,t.type3,t.type4,t.type5,t.type6,t.type7,t.type8,t.type9,t.type10,t.county,t.town,t.lng,t.lat,ST_AsGeoJson( t.shape) as shape_str FROM ent_geo_layer t  ${ew.customSqlSegment} ")
    List<GeoLayer> getGeoLayerByPage(Page<GeoLayer> page, @Param(Constants.WRAPPER) Wrapper wrapper);

    @Select("SELECT t.id,t.origin_id,t.origin_table,t.name,t.address,t.type1,t.type2,t.type3,t.county,t.town,t.lng,t.lat,ST_AsGeoJson( t.shape) as shape_str FROM ent_geo_layer t  ${ew.customSqlSegment} ")
    List<GeoLayer> getGeoLayerByCenterPoint(@Param(Constants.WRAPPER) Wrapper wrapper);

    @Select("SELECT t.id,t.origin_id,t.origin_table,t.name,t.address,t.type1,t.type2,t.type3,t.type4,t.type5,t.type6,t.type7,t.type8,t.type9,t.type10,t.county,t.town,t.lng,t.lat,ST_AsGeoJson( t.shape) as shape_str FROM ent_geo_layer t  ${ew.customSqlSegment} ")
    List<GeoLayer> getGeoLayerByCenterPointAndPage(Page<GeoLayer> page, @Param(Constants.WRAPPER) Wrapper wrapper);

    @Select("SELECT t.id,t.origin_id,t.origin_table,t.name,t.address,t.type1,t.type2,t.type3,t.type4,t.type5,t.type6,t.type7,t.type8,t.type9,t.type10,t.county,t.town,t.lng,t.lat,ST_AsGeoJson( t.shape) as shape_str FROM ent_geo_layer t  ${ew.customSqlSegment} ")
    List<Map<String, Object>> getCountyStatistics(@Param(Constants.WRAPPER) Wrapper wrapper);

    @Select("SELECT t.id,t.origin_id,t.origin_table,t.name,t.address,t.type1,t.type2,t.type3,t.type4,t.type5,t.type6,t.type7,t.type8,t.type9,t.type10,t.county,t.town,t.lng,t.lat,ST_AsGeoJson( t.shape) as shape_str FROM ent_geo_layer t  ${ew.customSqlSegment} ")
    List<Map<String, Object>> getTownStatistics(@Param(Constants.WRAPPER) Wrapper wrapper);
    // @Select("select * from ${viewName} t  ${ew.customSqlSegment} ")
    // List<Map<String,Object>> getGeoLayerById(@Param("id") Integer id,
    //                                          @Param(Constants.WRAPPER) Wrapper wrapper);

}
