package com.ruoyi.programManagement.mapper;

import com.ruoyi.programManagement.entity.SzEnforExamine;

import java.util.List;


/**
 * 现场检查记录Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-26
 */
public interface SzEnforExamineMapper 
{
    /**
     * 查询现场检查记录
     * 
     * @param ID 现场检查记录主键
     * @return 现场检查记录
     */
    public SzEnforExamine selectSzEnforExamineByID(String ID);

    /**
     * 查询现场检查记录列表
     * 
     * @param szEnforExamine 现场检查记录
     * @return 现场检查记录集合
     */
    public List<SzEnforExamine> selectSzEnforExamineList(SzEnforExamine szEnforExamine);

    /**
     * 新增现场检查记录
     * 
     * @param szEnforExamine 现场检查记录
     * @return 结果
     */
    public int insertSzEnforExamine(SzEnforExamine szEnforExamine);

    /**
     * 修改现场检查记录
     * 
     * @param szEnforExamine 现场检查记录
     * @return 结果
     */
    public int updateSzEnforExamine(SzEnforExamine szEnforExamine);

    /**
     * 删除现场检查记录
     * 
     * @param ID 现场检查记录主键
     * @return 结果
     */
    public int deleteSzEnforExamineByID(String ID);

    /**
     * 批量删除现场检查记录
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzEnforExamineByIDs(String[] IDs);




    /**
     * 根据企业id查询数据
     *
     * @param enterPriseId
     * @return
     */
    List<SzEnforExamine> getByEnterPriseCode(String enterPriseId);
}
