package com.ruoyi.programManagement.service;

import com.ruoyi.programManagement.entity.BAdministrative;
import com.ruoyi.programManagement.entity.response.BPlanEnterPriseTreeResponse;
import com.ruoyi.programManagement.entity.request.BPlanEnterprisePageRequest;

import java.util.List;


/**
 * 行政区划Service接口
 *
 * @author ruoyi
 * @date 2023-09-11
 */
public interface IBAdministrativeService {
    /**
     * 查询行政区划
     *
     * @param id 行政区划主键
     * @return 行政区划
     */
    public BAdministrative selectBAdministrativeById(Long id);

    /**
     * 查询行政区划列表
     *
     * @param bAdministrative 行政区划
     * @return 行政区划集合
     */
    public List<BAdministrative> selectBAdministrativeList(BAdministrative bAdministrative);

    /**
     * 新增行政区划
     *
     * @param bAdministrative 行政区划
     * @return 结果
     */
    public int insertBAdministrative(BAdministrative bAdministrative);

    /**
     * 修改行政区划
     *
     * @param bAdministrative 行政区划
     * @return 结果
     */
    public int updateBAdministrative(BAdministrative bAdministrative);

    /**
     * 批量删除行政区划
     *
     * @param ids 需要删除的行政区划主键集合
     * @return 结果
     */
    public int deleteBAdministrativeByIds(Long[] ids);

    /**
     * 删除行政区划信息
     *
     * @param id 行政区划主键
     * @return 结果
     */
    public int deleteBAdministrativeById(Long id);


    List<BPlanEnterPriseTreeResponse> selectBPlanEnterPriseTreeRequestRequestList(BPlanEnterprisePageRequest req);



}
