package com.ruoyi.programManagement.service;

import com.ruoyi.programManagement.entity.BStandardization;

import java.util.List;


/**
 * 标准化Service接口
 *
 * @author ruoyi
 * @since 2023-12-18
 */
public interface IBStandardizationService {
    /**
     * 查询标准化
     *
     * @param id 标准化主键
     * @return 标准化
     */
    public BStandardization selectBStandardizationById(Long id);

    /**
     * 查询标准化列表
     *
     * @param bStandardization 标准化
     * @return 标准化集合
     */
    List<BStandardization> selectBStandardizationList(BStandardization bStandardization);

    /**
     * 新增标准化
     *
     * @param bStandardization 标准化
     * @return 结果
     */
    int insertBStandardization(BStandardization bStandardization);

    /**
     * 修改标准化
     *
     * @param bStandardization 标准化
     * @return 结果
     */
    int updateBStandardization(BStandardization bStandardization);

    /**
     * 批量删除标准化
     *
     * @param ids 需要删除的标准化主键集合
     * @return 结果
     */
    int deleteBStandardizationByIds(Long[] ids);

    /**
     * 删除标准化信息
     *
     * @param id 标准化主键
     * @return 结果
     */
    int deleteBStandardizationById(Long id);
}
