package com.ruoyi.programManagement.service.impl;

import java.util.List;

import com.ruoyi.programManagement.entity.request.BAdministrativeDistrictRequest;
import com.ruoyi.programManagement.entity.request.BAdministrativeTreeRequest;
import org.springframework.stereotype.Service;
import com.ruoyi.programManagement.mapper.BAdministrativeDivisionMapper;
import com.ruoyi.programManagement.domain.BAdministrativeDivision;
import com.ruoyi.programManagement.service.IBAdministrativeDivisionService;
import javax.annotation.Resource;

/**
 * 行政区划Service业务层处理
 *
 * @author ruoyi
 * @since 2023-12-12
 */
@Service
public class BAdministrativeDivisionServiceImpl implements IBAdministrativeDivisionService {
    @Resource
    private BAdministrativeDivisionMapper bAdministrativeDivisionMapper;

    /**
     * 查询行政区划
     *
     * @param id 行政区划主键
     * @return 行政区划
     */
    @Override
    public BAdministrativeDivision selectBAdministrativeDivisionById(Long id) {
        return bAdministrativeDivisionMapper.selectBAdministrativeDivisionById(id);
    }

    /**
     * 查询行政区划列表
     *
     * @param bAdministrativeDivision 行政区划
     * @return 行政区划
     */
    @Override
    public List<BAdministrativeDivision> selectBAdministrativeDivisionList(BAdministrativeDivision bAdministrativeDivision) {
        return bAdministrativeDivisionMapper.selectBAdministrativeDivisionList(bAdministrativeDivision);
    }

    /**
     * 新增行政区划
     *
     * @param bAdministrativeDivision 行政区划
     * @return 结果
     */
    @Override
    public int insertBAdministrativeDivision(BAdministrativeDivision bAdministrativeDivision) {
            return bAdministrativeDivisionMapper.insertBAdministrativeDivision(bAdministrativeDivision);
    }

    /**
     * 修改行政区划
     *
     * @param bAdministrativeDivision 行政区划
     * @return 结果
     */
    @Override
    public int updateBAdministrativeDivision(BAdministrativeDivision bAdministrativeDivision) {
        return bAdministrativeDivisionMapper.updateBAdministrativeDivision(bAdministrativeDivision);
    }

    /**
     * 批量删除行政区划
     *
     * @param ids 需要删除的行政区划主键
     * @return 结果
     */
    @Override
    public int deleteBAdministrativeDivisionByIds(Long[] ids) {
        return bAdministrativeDivisionMapper.deleteBAdministrativeDivisionByIds(ids);
    }

    /**
     * 删除行政区划信息
     *
     * @param id 行政区划主键
     * @return 结果
     */
    @Override
    public int deleteBAdministrativeDivisionById(Long id) {
        return bAdministrativeDivisionMapper.deleteBAdministrativeDivisionById(id);
    }

    @Override
    public List<BAdministrativeTreeRequest> selectByDistctList() {
        return bAdministrativeDivisionMapper.selectByDistctList();
    }

    @Override
    public List<BAdministrativeDistrictRequest> selectBycountyList() {
        return bAdministrativeDivisionMapper.selectBycountyList();
    }



}
