package com.ruoyi.programManagement.service.impl;

import java.util.List;

import com.ruoyi.programManagement.entity.SzEnforExamine;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.programManagement.mapper.SzEnforExamineMapper;

import com.ruoyi.programManagement.service.ISzEnforExamineService;

/**
 * 现场检查记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-26
 */
@Service
public class SzEnforExamineServiceImpl implements ISzEnforExamineService 
{
    @Autowired
    private SzEnforExamineMapper szEnforExamineMapper;

    /**
     * 查询现场检查记录
     * 
     * @param ID 现场检查记录主键
     * @return 现场检查记录
     */
    @Override
    public SzEnforExamine selectSzEnforExamineByID(String ID)
    {
        return szEnforExamineMapper.selectSzEnforExamineByID(ID);
    }

    /**
     * 查询现场检查记录列表
     * 
     * @param szEnforExamine 现场检查记录
     * @return 现场检查记录
     */
    @Override
    public List<SzEnforExamine> selectSzEnforExamineList(SzEnforExamine szEnforExamine)
    {
        return szEnforExamineMapper.selectSzEnforExamineList(szEnforExamine);
    }

    /**
     * 新增现场检查记录
     * 
     * @param szEnforExamine 现场检查记录
     * @return 结果
     */
    @Override
    public int insertSzEnforExamine(SzEnforExamine szEnforExamine)
    {
        return szEnforExamineMapper.insertSzEnforExamine(szEnforExamine);
    }

    /**
     * 修改现场检查记录
     * 
     * @param szEnforExamine 现场检查记录
     * @return 结果
     */
    @Override
    public int updateSzEnforExamine(SzEnforExamine szEnforExamine)
    {
        return szEnforExamineMapper.updateSzEnforExamine(szEnforExamine);
    }

    /**
     * 批量删除现场检查记录
     * 
     * @param IDs 需要删除的现场检查记录主键
     * @return 结果
     */
    @Override
    public int deleteSzEnforExamineByIDs(String[] IDs)
    {
        return szEnforExamineMapper.deleteSzEnforExamineByIDs(IDs);
    }

    /**
     * 删除现场检查记录信息
     * 
     * @param ID 现场检查记录主键
     * @return 结果
     */
    @Override
    public int deleteSzEnforExamineByID(String ID)
    {
        return szEnforExamineMapper.deleteSzEnforExamineByID(ID);
    }

    @Override
    public List<SzEnforExamine> getByEnterPriseCode(String enterPriseId) {
        return szEnforExamineMapper.getByEnterPriseCode(enterPriseId);
    }
}
