package com.ruoyi.programManagement.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.programManagement.entity.SzsEnterpriseInformation;
import com.ruoyi.programManagement.mapper.SzsEnterpriseInformationMapper;
import com.ruoyi.programManagement.service.ISzsEnterpriseInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 省-企业基本信息Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-17
 */
@Service
public class SzsEnterpriseInformationServiceImpl implements ISzsEnterpriseInformationService {
    @Autowired
    private SzsEnterpriseInformationMapper szsEnterpriseInformationMapper;

    /**
     * 查询省-企业基本信息
     *
     * @param ID 省-企业基本信息主键
     * @return 省-企业基本信息
     */
    @Override
    public SzsEnterpriseInformation selectSzsEnterpriseInformationByID(String ID) {
        return szsEnterpriseInformationMapper.selectSzsEnterpriseInformationByID(ID);
    }

    /**
     * 查询省-企业基本信息列表
     *
     * @param szsEnterpriseInformation 省-企业基本信息
     * @return 省-企业基本信息
     */
    @Override
    public List<SzsEnterpriseInformation> selectSzsEnterpriseInformationList(SzsEnterpriseInformation szsEnterpriseInformation) {
        return szsEnterpriseInformationMapper.selectSzsEnterpriseInformationList(szsEnterpriseInformation);
    }

    /**
     * 新增省-企业基本信息
     *
     * @param szsEnterpriseInformation 省-企业基本信息
     * @return 结果
     */
    @Override
    public int insertSzsEnterpriseInformation(SzsEnterpriseInformation szsEnterpriseInformation) {
        szsEnterpriseInformation.setCreateTime(DateUtils.getNowDate());
        return szsEnterpriseInformationMapper.insertSzsEnterpriseInformation(szsEnterpriseInformation);
    }

    /**
     * 修改省-企业基本信息
     *
     * @param szsEnterpriseInformation 省-企业基本信息
     * @return 结果
     */
    @Override
    public int updateSzsEnterpriseInformation(SzsEnterpriseInformation szsEnterpriseInformation) {
        szsEnterpriseInformation.setUpdateTime(DateUtils.getNowDate());
        return szsEnterpriseInformationMapper.updateSzsEnterpriseInformation(szsEnterpriseInformation);
    }

    /**
     * 批量删除省-企业基本信息
     *
     * @param IDs 需要删除的省-企业基本信息主键
     * @return 结果
     */
    @Override
    public int deleteSzsEnterpriseInformationByIDs(String[] IDs) {
        return szsEnterpriseInformationMapper.deleteSzsEnterpriseInformationByIDs(IDs);
    }

    /**
     * 删除省-企业基本信息信息
     *
     * @param ID 省-企业基本信息主键
     * @return 结果
     */
    @Override
    public int deleteSzsEnterpriseInformationByID(String ID) {
        return szsEnterpriseInformationMapper.deleteSzsEnterpriseInformationByID(ID);
    }


}
